aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2016-08-22 16:42:28 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2016-08-22 16:42:38 +0000
commit9711df7ac68dd05da608e7491ea646a0dcbd157e (patch)
tree3e9c8f658e23646a440a2c020f23424c7f5ce9e3
parent502277d6eda0571f565588ca14a277f67a5e1d54 (diff)
downloadaports-9711df7ac68dd05da608e7491ea646a0dcbd157e.tar.gz
aports-9711df7ac68dd05da608e7491ea646a0dcbd157e.tar.bz2
aports-9711df7ac68dd05da608e7491ea646a0dcbd157e.tar.xz
community/inotify-tools-inc: update config guess (build fix aarch64)
-rw-r--r--community/inotify-tools-inc/APKBUILD16
1 files changed, 6 insertions, 10 deletions
diff --git a/community/inotify-tools-inc/APKBUILD b/community/inotify-tools-inc/APKBUILD
index 73c2fecb45..0d05533c17 100644
--- a/community/inotify-tools-inc/APKBUILD
+++ b/community/inotify-tools-inc/APKBUILD
@@ -14,19 +14,15 @@ source="https://github.com/downloads/rvoicilas/$_realname/$_realname-$pkgver.tar
add-include-regex.patch
"
-_builddir="$srcdir"/$_realname-$pkgver
+builddir="$srcdir"/$_realname-$pkgver
+
prepare() {
- local i
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
+ default_prepare || return 1
+ update_config_guess || return 1
}
build() {
- cd "$_builddir"
+ cd "$builddir"
./configure --prefix=/usr \
--sysconfdir=/etc \
--mandir=/usr/share/man \
@@ -36,7 +32,7 @@ build() {
}
package() {
- cd "$_builddir"
+ cd "$builddir"
make DESTDIR="$pkgdir" install || return 1
# post-install message
mkdir -p "$pkgdir/usr/share/doc/$pkgname"